Subject: bug#21707: include-file cleanup for src directory

From: Andy Moreton <[email-masked]>
Date: Tue, 20 Oct 2015 09:23:04 +0100

On Mon 19 Oct 2015, Paul Eggert wrote:

> Eli Zaretskii wrote:
>> I had compilation warnings and errors due to redisplaying_p and
>> cancel_hourglass not being declared in eval.c and lread.c.  These two
>> files need to include dispextern.h to avoid that problem.  (This isn't
>> Windows specific, so I wonder how it compiled for you.)
>
> It's a problem with platform-specific inclusions: xterm.h includes
> dispextern.h, but eval.c and lread.c don't include xterm.h on MS-Windows. I
> attempted to detect this sort of thing by hand without actually building on
> MS-Windows, but it's an easy thing to get wrong. Revised patch attached. Quite
> possibly there will be similar issues on other platforms, but they should be
> easy to fix once encountered.

This builds without problems on top of commit 10df0310cb8f for:
 - mingw32 32bit
 - mingw32 32bit with --wide-int
 - mingw64 64bit
 - cygwin 64bit

Looks good to me.

    AndyM